import { makeAutoObservable } from "mobx";

class ArticleStore {
  articleModalOpen: boolean = false;
  selectedArticleId: number | null = null;

  constructor() {
    makeAutoObservable(this);
  }

  setArticleIdAction = (id: number) => {
    this.selectedArticleId = id;
  };

  setArticleModalOpenAction = (open: boolean) => {
    this.articleModalOpen = open;
  };
}

export const articleStore = new ArticleStore();
